<form class="{{cssClass}} flexcol" autocomplete="off" data-tooltip-class="pf1">

  {{!-- Item Sheet Header --}}
  <header class="sheet-header flexrow">
    <img class="profile" src="{{item.img}}" data-tooltip="{{item.name}}" data-edit="img">

    <div class="header-details flexrow">
      {{> "systems/pf1/templates/items/parts/item-name.hbs"}}
    </div>
  </header>

  {{!-- Sidebar --}}
  <section class="sidebar">
    <header>
      <h3 class="item-type">{{itemType}}</h3>
    </header>

    {{> "systems/pf1/templates/items/parts/item-sidebar-inputs.hbs"}}

    {{> "systems/pf1/templates/items/parts/item-sidebar-aura.hbs"}}

    <div class="weight-reduction">
      <h5>{{localize "PF1.WeightReduction.Label"}}</h5>
      <label class="percentage">
        <span>{{localize "PF1.WeightReduction.Percentage"}}</span>
        <input type="number" class="select-on-click" value="{{system.weight.reduction.percent}}" name="system.weight.reduction.percent" placeholder="0">%
      </label>

      <label class="flat">
        <span>{{localize "PF1.WeightReduction.Flat"}}</span>
        <input data-action="input-text" type="number" class="select-on-click"
          value="{{system.weight.converted.reduction}}"
          data-input-value="{{system.weight.converted.reduction}}"
          name="system.weight.reduction.value" placeholder="0" readonly>
          {{units.weight}}
      </label>
    </div>

    <div class="contents">
      <h5>{{localize "PF1.Containers.Contents.Label"}}</h5>

      <label class="weight">
        <span>{{localize "PF1.Weight"}}</span>
        <span class="value">{{weight.contents}}</span>
        <span class="unit">{{weight.units}}</span>
      </label>

      <label class="total-value">
        <span>{{localize "PF1.Value"}}</span>
        <span class="value">{{labels.totalValue}}</span>
      </label>

      <label class="sell-value">
        <span>{{localize "PF1.SellValue"}}</span>
        <span class="value">{{labels.sellValue}}</span>
      </label>

      <label class="sell-value">
        <span>{{localize "PF1.Currency.Label"}}</span>
        <span class="value">{{labels.currency}}</span>
      </label>
    </div>

  </section>

  {{!-- Item Sheet Navigation --}}
  <nav class="sheet-navigation tabs" data-group="primary">
    <a class="item" data-tab="description">{{ localize "PF1.Description" }}</a>
    <a class="item" data-tab="details">{{ localize "PF1.Details" }}</a>
    <a class="item" data-tab="contents">{{ localize "PF1.Containers.Contents.Label" }}</a>
    {{#unless showUnidentifiedData}}
    <a class="item" data-tab="changes">{{ localize "PF1.Changes" }}</a>
    <a class="item" data-tab="advanced">{{localize "PF1.Advanced"}}</a>
    {{/unless}}
  </nav>

  {{!-- Item Sheet Body --}}
  <section class="primary-body">

    {{!-- Description Tab --}}
    {{> "systems/pf1/templates/items/parts/item-description.hbs"}}

    {{!-- Details Tab --}}
    <div class="tab details" data-group="primary" data-tab="details">

      <h3 class="form-header">{{localize "PF1.Properties"}}</h3>

      {{#if @root.showIdentifiedData}}
      <div class="form-group stacked">
        <label class="checkbox artifact">
          <input type="checkbox" name="system.artifact" {{checked system.artifact}}> {{localize "PF1.Artifact"}}
        </label>
        <label class="checkbox timeworn">
          <input type="checkbox" name="system.timeworn" {{checked system.timeworn}}> {{localize "PF1.Timeworn"}}
        </label>
      </div>
      {{/if}}

      {{> "systems/pf1/templates/items/parts/item-aura.hbs"}}

      {{!-- Advanced --}}
      {{#unless showUnidentifiedData}}
      <h3 class="form-header">{{localize "PF1.Advanced"}}</h3>

      {{! Tags }}
      {{~> "systems/pf1/templates/items/parts/item-tags.hbs"}}

      {{! Identifier Tag }}
      {{~> "systems/pf1/templates/items/parts/item-tag.hbs"}}
      {{/unless}}
    </div>

    {{!-- Contents Tab --}}
    <div class="tab contents" data-group="primary" data-tab="contents">

      <header>
        <div class="form-group">
          {{~> "systems/pf1/templates/internal/item-search.hbs" category="container"}}

          <ol class="currency flexrow{{#if hasCurrency}} has-currency{{/if}}">
            <h3>{{localize "PF1.Currency.Label"}}</h3>
            {{#each config.currencies as |l k|}}
            <li class="denomination {{@key}}" data-denomination="{{@key}}">
              <label>{{this}}</label>
              <input type="text" class="select-on-click" name="system.currency.{{@key}}"
                value="{{#if (lookup @root.system.currency k)}}{{lookup @root.system.currency @key}}{{/if}}" data-dtype="String" placeholder="0">
              <a class="convert-currency" data-type="{{@key}}" data-category="currency" data-tooltip="PF1.ConvertCurrency">
                <i class="fas fa-long-arrow-alt-left"></i></a>
            </li>
            {{/each}}
          </ol>
        </div>
      </header>

      {{> "systems/pf1/templates/items/parts/item-contents.hbs" sections=inventory}}
    </div>

    {{!-- Changes Tab --}}
    {{#unless showUnidentifiedData}}
    <div class="tab changes" data-group="primary" data-tab="changes">
      {{~> "systems/pf1/templates/items/parts/item-changes.hbs"}}
    </div>
    {{/unless}}

    {{#unless showUnidentifiedData}}
    <div class="tab advanced" data-group="primary" data-tab="advanced">
      {{> "systems/pf1/templates/items/parts/item-advanced.hbs"}}
    </div>
    {{/unless}}
  </section>
</form>
